Error launch owncloud on openSUSE

help

#1

I get the following when trying to launch ownCloud linux desktop client on openSUSE LEAP 42.3 that I installed via web site's one click.

owncloud: /opt/ownCloud/qt-5.6.2/lib64/libQt5Gui.so.5: version Qt_5.6.2_PRIVATE_API' not found (required by /usr/lib64/libQt5PrintSupport.so.5)
owncloud: /opt/ownCloud/qt-5.6.2/lib64/libQt5Widgets.so.5: version
Qt_5.6.2_PRIVATE_API' not found (required by /usr/lib64/libQt5PrintSupport.so.5)
owncloud: /opt/ownCloud/qt-5.6.2/lib64/libQt5Core.so.5: version Qt_5.6.2_PRIVATE_API' not found (required by /usr/lib64/libQt5PrintSupport.so.5)
owncloud: /opt/ownCloud/qt-5.6.2/lib64/libQt5Core.so.5: version
Qt_5.6.2_PRIVATE_API' not found (required by /usr/lib64/libQt5Sql.so.5)


#2

Problem solved. I added /op/ownCloud/qt-5.6.2/lib64 in front of /usr/lib64 in LD_LIBRARY_PATH so the right library is used.